package de.pzzz.vertx.process;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class ItemProcess<T extends Serializable> implements Serializable {
    private static final long serialVersionUID = -152613060384269555L;

    private T item;
    private List<String> messages = new ArrayList<>();

    public ItemProcess() {}

    public ItemProcess(final T item) {
        this();
        this.item = item;
    }

    public void setErrorState() {}

    public void addMessage(final String message) {
        if (null == messages) {
            messages = new ArrayList<>();
        }
        messages.add(message);
    }

    public T getItem() {
        return item;
    }

    public void setItem(final T item) {
        this.item = item;
    }

    public List<String> getMessages() {
        return messages;
    }

    public void setMessages(final List<String> messages) {
        this.messages = messages;
    }
}
