package de.pzzz.vertx;

import java.io.Serializable;
import java.util.UUID;

public abstract class SerializableWithId implements Serializable {
    private static final long serialVersionUID = -7935376730476798064L;

    private String id;

    public SerializableWithId() {
        this.id = UUID.randomUUID().toString();
    }

    public String getId() {
        return id;
    }

    public void setId(final String id) {
        this.id = id;
    }
}
