package de.pzzz.vertx.process;

import java.io.Serializable;
import java.util.List;

public class ProcessRequest<T> implements Serializable {
    private static final long serialVersionUID = 4946708367771253605L;

    private String name;
    private List<T> processingItems;
    private int parallelRequests = 1;

    public String getName() {
        return name;
    }
    public void setName(final String name) {
        this.name = name;
    }
    public List<T> getProcessingItems() {
        return processingItems;
    }
    public void setProcessingItems(final List<T> processingItems) {
        this.processingItems = processingItems;
    }
    public int getParallelRequests() {
        return parallelRequests;
    }
    public void setParallelRequests(final int parallelRequests) {
        this.parallelRequests = parallelRequests;
    }
}
